Subject: bug#72765: Eglot + Clangd + Company + non-empty suffix = duplicate text

From: João Távora <[email-masked]>
Date: Tue, 3 Sep 2024 14:43:20 +0100

On Tue, Sep 3, 2024 at 2:20 PM Dmitry Gutov <[email-masked]> wrote:
>
> On 01/09/2024 17:28, Dmitry Gutov wrote:
> >> * the rust-analyzer test you added recently -- and which you said was
> >>    very brittle -- is indeed very brittle: I cannot get it to pass.  We
> >>    should fix it, or just delete it and do those rust-analyzer tests
> >>    manually each time we touch this area.
> >
> > Could you give more details? It is indeed more brittle in theory, but on
> > my machine it's passing every time.
>
> Yeah, I see it now - it succeeds in an interactive session and fails in
> batch mode. Not sure it was the same when the patch was committed
> (hopefully not).
>
> Might be due to window configuration being different...

Yes, I was trying batch mode.  make -C test eglot-tests  or something
similar.  Please fix it or delete it (or disable it).